custom publication types – REQUIRED: the theme uses the function register_post_type (), which is plugin-territorial.

I am developing a car rental theme, but I have encountered a big problem. When I downloaded the theme, I get the message "REQUIRED: the theme uses the function register_post_type (), which is plugin-Territory". The problem is that they do not allow It is also forbidden to keep my custom publishing types in my functions.php file. It is also forbidden to create a custom plug-in and require it with TGMPA. Only plugins in the WordPress repository are allowed. So I'm really stuck in the middle. I do not know if I have to download custom plugins to WordPress ORG as it is a specific plugin to a theme and not a general plug-in. Thank you for your attention.